Package org.oasis_open.docs.ws_calendar.ns.soap

# Class StringPropertyType

java.lang.Object
org.oasis_open.docs.ws_calendar.ns.soap.GetPropertiesBasePropertyType
org.oasis_open.docs.ws_calendar.ns.soap.StringPropertyType

Direct Known Subclasses:
  `DisplayNameType`, `PrincipalHomeType`, `ResourceDescriptionType`, `ResourceOwnerType`, `ResourceTimezoneIdType`, `TimezoneServerType`, `XresourceType`

public class StringPropertyType extends GetPropertiesBasePropertyType
Base type for string properties returned in GetPropertiesResponse.

Java class for StringPropertyType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="StringPropertyType">
       <complexContent>
         <extension base="{http://docs.oasis-open.org/ws-calendar/ns/soap}GetPropertiesBasePropertyType">
           <sequence>
             <element name="string" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `string`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StringPropertyType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getString()`
  Gets the value of the string property.
  `void`
  `setString(String value)`
  Sets the value of the string property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### string

    protected String string

- ## Constructor Details

  - ### StringPropertyType

    public StringPropertyType()

- ## Method Details

  - ### getString

    public String getString()
    Gets the value of the string property.
    Returns:
      possible object is `String`

  - ### setString

    public void setString(String value)
    Sets the value of the string property.
    Parameters:
      `value` - allowed object is `String`